package com.eactive.eai.common.dao; 

/** 
* 1. 기능 : Data Access Object 예외 처리를 정의한 Exception 클래스
* 2. 처리 개요 : DAO 예외 처리 정의를 위한 Exception 클래스 이다.
* *     - 
* 3. 주의사항 
*
* @author  : 
* @version : v 1.0.0
* @see : 관련 기능을 참조
* @since   : 
*/
public class DAOException extends Exception
{ 
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/** 
    * 1. 기능 :  Default Constructor
    * 2. 처리 개요 : Default Constructor
    *     - 
    * 3. 주의사항 
    *
    **/
    public DAOException() {
        super("DAOException is occured.");
    }
    
    /** 
    * 1. 기능 :  오류 메시지를 저장하는 생성자 함수
    * 2. 처리 개요 : 파라미터의 오류 메시지를 저장한다.
    *     - 
    * 3. 주의사항 
    *
    * @param    msg 오류 메시지
    **/
    public DAOException(String msg) {
        super(msg);   
    }
} 
